#!/bin/bash
# Brightness control slider for desktop 'external' monitors - with inspiration from johnywhy, and many thanks to Fredx181
#200131 BK: new path.

export PATH="/usr/local/brightness:${PATH}" #200131

# detect monitor
MON=$(xrandr -q | grep " connected" | cut -f1 -d ' ')
# find current xrandr brightness value
XR=$(xrandr --verbose | grep -i brightness | cut -f2 -d ' ' | head -n1)
BrCur=`awk "BEGIN {print $XR*100}"` # calculate, so e.g. 0.5 gets 50
BrMax="100"
BrMin="10"
yad --undecorated --on-top --geometry=450x70-40-30 --text="                  SCREEN   BRIGHTNESS   AND   TINT   CONTROL" --scale --value $BrCur --print-partial --min-value $BrMin --max-value $BrMax --button="SCT-Info":sct-info.sh --button="Night":sct-night.sh --button="Day":sct-day.sh --button="Done":1 | while read BrNew; do
# division using awk, so xrandr value gets e.g. 0.5 rather than 50
xrandr --output $MON --brightness $(awk "BEGIN {print $BrNew/100}")
done 
